메시지·인증
문자 발신번호 삭제
발신번호를 삭제합니다. 삭제하면 그 번호로는 바로 문자를 보낼 수 없고, 회선 수 한도에서도 빠집니다. 번호 자체는 반납되지 않습니다.
API 로는 한국AI통신에서 개통한 번호(verificationMethod = own_provisioned)만 삭제할 수 있습니다.
다른 발신번호는 콘솔에서 삭제합니다. 발신번호 범위를 지정한 API 키로는 삭제할 수 없습니다.
Authorization
BearerAuth AuthorizationBearer <token>
API Key를 Bearer 토큰으로 전달
In: header
Path Parameters
accountId*string
계정 ID
senderNumberId*string
발신번호 id
Response Body
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/v1/accounts/AC1a2b3c4d/sender-numbers/cmh1sn0000001"Empty
{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}{
"error": "string",
"code": "recipient_blocked",
"ip": "52.79.213.41",
"processedAt": "2026-10-21T04:10:34.303Z",
"blockers": [
{
"number": "07012340002",
"code": "number_not_carrier_issued",
"message": "이용증명원은 한국AI통신이 개통한 070·대표번호만 발급됩니다."
}
]
}